TikTok Shop

Every transaction settled in one statement

GET/api/public/v1/tik_tok_shop/finance/statements/{statementId}/transactions
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopStatementTransactions

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/finance/statements/<statementId>/transactions" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
statementIdpathstringrequired
sort_orderquerystringOne of ASCDESC Default DESC
page_sizequeryinteger
page_tokenquerystring
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
createTimenumber, nullable
currencystring, nullable
nextPageTokenstring, nullable
payableAmountnumber, nullable
statementIdstring, nullable
statusstring, nullable
totalCountnumber, nullable
totalReserveAmountnumber, nullable
totalSettlementAmountnumber, nullable
totalSettlementBreakdownobject, nullable
totalSettlementBreakdown.totalAdjustmentAmountnumber, nullable
totalSettlementBreakdown.totalFeeTaxAmountnumber, nullable
totalSettlementBreakdown.totalRevenueAmountnumber, nullable
totalSettlementBreakdown.totalShippingCostAmountnumber, nullable
transactionsarray of object, nullable
transactions[].[].adjustmentAmount, nullable
transactions[].[].adjustmentId, nullable
transactions[].[].adjustmentOrderId, nullable
transactions[].[].associatedOrderId, nullable
transactions[].[].estimatedReleaseTime, nullable
transactions[].[].feeTaxAmountnumber, nullable
transactions[].[].feeTaxBreakdownobject, nullable
transactions[].[].feeTaxBreakdown.feeobject, nullable
transactions[].[].feeTaxBreakdown.fee.affiliateCommissionAmountnumber, nullable
transactions[].[].feeTaxBreakdown.fee.referralFeeAmountnumber, nullable
transactions[].[].feeTaxBreakdown.fee.transactionFeeAmountnumber, nullable
transactions[].[].feeTaxBreakdown.taxobject, nullable
transactions[].[].idstring, nullable
transactions[].[].orderCreateTimenumber, nullable
transactions[].[].orderIdstring, nullable
transactions[].[].reserveAmount, nullable
transactions[].[].reserveId, nullable
transactions[].[].reserveStatus, nullable
transactions[].[].revenueAmountnumber, nullable
transactions[].[].revenueBreakdownobject, nullable
transactions[].[].revenueBreakdown.sellerDiscountAmountnumber, nullable
transactions[].[].revenueBreakdown.subtotalBeforeDiscountAmountnumber, nullable
transactions[].[].settlementAmountnumber, nullable
transactions[].[].shippingCostAmountnumber, nullable
transactions[].[].shippingCostBreakdownobject, nullable
transactions[].[].shippingCostBreakdown.actualShippingFeeAmountnumber, nullable
transactions[].[].supplementaryComponentobject, nullable
transactions[].[].typestring, nullable

Example

{
  "createTime": 125.5,
  "currency": "usd",
  "nextPageToken": "string",
  "payableAmount": 125.5,
  "statementId": "string",
  "status": "string",
  "totalCount": 125.5,
  "totalReserveAmount": 125.5,
  "totalSettlementAmount": 125.5,
  "totalSettlementBreakdown": {
    "totalAdjustmentAmount": 125.5,
    "totalFeeTaxAmount": 125.5,
    "totalRevenueAmount": 125.5,
    "totalShippingCostAmount": 125.5
  },
  "transactions": [
    {
      "adjustmentAmount": "string",
      "adjustmentId": "string",
      "adjustmentOrderId": "string",
      "associatedOrderId": "string",
      "estimatedReleaseTime": "string",
      "feeTaxAmount": 125.5,
      "feeTaxBreakdown": {
        "fee": {
          "affiliateCommissionAmount": 125.5,
          "referralFeeAmount": 125.5,
          "transactionFeeAmount": 125.5
        },
        "tax": {}
      },
      "id": "string",
      "orderCreateTime": 125.5,
      "orderId": "string",
      "reserveAmount": "string",
      "reserveId": "string",
      "reserveStatus": "string",
      "revenueAmount": 125.5,
      "revenueBreakdown": {
        "sellerDiscountAmount": 125.5,
        "subtotalBeforeDiscountAmount": 125.5
      },
      "settlementAmount": 125.5,
      "shippingCostAmount": 125.5,
      "shippingCostBreakdown": {
        "actualShippingFeeAmount": 125.5
      },
      "supplementaryComponent": {},
      "type": "string"
    }
  ]
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.